Package com.smartgwt.client.ai

# Class SuggestRecordSummaryTitleResult

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.core.RefDataClass
com.smartgwt.client.util.AsyncOperationResult
com.smartgwt.client.ai.SuggestRecordSummaryTitleResult

All Implemented Interfaces:
  `HasHandlers`

public class SuggestRecordSummaryTitleResult extends AsyncOperationResult

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.RefDataClass

  `id`

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SuggestRecordSummaryTitleResult()`
  `SuggestRecordSummaryTitleResult(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SuggestRecordSummaryTitleResult`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `String[]`
  `getRelevantFieldNames()`
  If set, the list of field names that are potentially relevant to the record summary requests.
  If unset, either the SuggestRecordSummaryTitleRequest was unsuccessful or no determination was made as to the potentially relevant field names.
  `String`
  `getSuggestedTitle()`
  If successful, the AI-generated suggestion for a title of a field that will contain the AI-generated record summaries.
  `SuggestRecordSummaryTitleResult`
  `setRelevantFieldNames(String... relevantFieldNames)`
  If set, the list of field names that are potentially relevant to the record summary requests.
  If unset, either the SuggestRecordSummaryTitleRequest was unsuccessful or no determination was made as to the potentially relevant field names.
  `SuggestRecordSummaryTitleResult`
  `setSuggestedTitle(String suggestedTitle)`
  If successful, the AI-generated suggestion for a title of a field that will contain the AI-generated record summaries.

  ### Methods inherited from class com.smartgwt.client.util.AsyncOperationResult

  `getCancellationReason, getDisabledMessage, getErrorMessage, getType, setCancellationReason, setDisabledMessage, setErrorMessage, setType`

  ### Methods inherited from class com.smartgwt.client.core.RefDataClass

  `getRef, getRef, internalSetID`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SuggestRecordSummaryTitleResult

    public SuggestRecordSummaryTitleResult()

  - ### SuggestRecordSummaryTitleResult

    public SuggestRecordSummaryTitleResult(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static SuggestRecordSummaryTitleResult getOrCreateRef(JavaScriptObject jsObj)

  - ### setRelevantFieldNames

    public SuggestRecordSummaryTitleResult setRelevantFieldNames(String... relevantFieldNames)
    If set, the list of field names that are potentially relevant to the record summary requests.
    If unset, either the SuggestRecordSummaryTitleRequest was unsuccessful or no determination was made as to the potentially relevant field names.
    Parameters:
      `relevantFieldNames` - New relevantFieldNames value. Default value is null
    Returns:
      `SuggestRecordSummaryTitleResult` instance, for chaining setter calls
    See Also:
      - `FieldName`

  - ### getRelevantFieldNames

    public String[] getRelevantFieldNames()
    If set, the list of field names that are potentially relevant to the record summary requests.
    If unset, either the SuggestRecordSummaryTitleRequest was unsuccessful or no determination was made as to the potentially relevant field names.
    Returns:
      Current relevantFieldNames value. Default value is null
    See Also:
      - `FieldName`

  - ### setSuggestedTitle

    public SuggestRecordSummaryTitleResult setSuggestedTitle(String suggestedTitle)
    If successful, the AI-generated suggestion for a title of a field that will contain the AI-generated record summaries.

    The suggested title will not be `null`, will be trimmed of leading and trailing whitespace, and will not be an empty string.

    Parameters:
      `suggestedTitle` - New suggestedTitle value. Default value is null
    Returns:
      `SuggestRecordSummaryTitleResult` instance, for chaining setter calls

  - ### getSuggestedTitle

    public String getSuggestedTitle()
    If successful, the AI-generated suggestion for a title of a field that will contain the AI-generated record summaries.

    The suggested title will not be `null`, will be trimmed of leading and trailing whitespace, and will not be an empty string.

    Returns:
      Current suggestedTitle value. Default value is null